package com.mints.goodmoney.mvp.model;

import java.io.Serializable;
import java.util.List;

public class FriendHallMsgBean implements Serializable {

    /**
     * titleMsg : 6元
     * button :
     * rate : 1:?
     * contribution_yesterday : 0.18
     * periods : 第20201113期
     * cashMsg : 未达目标，今日加油
     * list : [{"id":6,"sid":2031418094401000000,"date":"2020-11-14","level":2,"contribution":0.2,"status":0,"name":"186****1558","head":null}]
     * contribution_today : 0.2
     * cash : 0
     * status : 1
     */

    private String titleMsg;
    private String button;
    private String rate;
    private double contribution_yesterday;
    private String periods;
    private String cashMsg;
    private double contribution_today;
    private String cash;
    private int status;
    private List<ListBean> list;

    public String getTitleMsg() {
        return titleMsg;
    }

    public void setTitleMsg(String titleMsg) {
        this.titleMsg = titleMsg;
    }

    public String getButton() {
        return button;
    }

    public void setButton(String button) {
        this.button = button;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public double getContribution_yesterday() {
        return contribution_yesterday;
    }

    public void setContribution_yesterday(double contribution_yesterday) {
        this.contribution_yesterday = contribution_yesterday;
    }

    public String getPeriods() {
        return periods;
    }

    public void setPeriods(String periods) {
        this.periods = periods;
    }

    public String getCashMsg() {
        return cashMsg;
    }

    public void setCashMsg(String cashMsg) {
        this.cashMsg = cashMsg;
    }

    public double getContribution_today() {
        return contribution_today;
    }

    public void setContribution_today(double contribution_today) {
        this.contribution_today = contribution_today;
    }

    public String getCash() {
        return cash;
    }

    public void setCash(String cash) {
        this.cash = cash;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean implements Serializable {
        /**
         * id : 6
         * sid : 2031418094401000000
         * date : 2020-11-14
         * level : 2
         * contribution : 0.2
         * status : 0
         * name : 186****1558
         * head : null
         */

        private int id;
        private long sid;
        private String date;
        private int level;
        private double contribution;
        private int status;
        private String name;
        private String head = null;

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public long getSid() {
            return sid;
        }

        public void setSid(long sid) {
            this.sid = sid;
        }

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public int getLevel() {
            return level;
        }

        public void setLevel(int level) {
            this.level = level;
        }

        public double getContribution() {
            return contribution;
        }

        public void setContribution(double contribution) {
            this.contribution = contribution;
        }

        public int getStatus() {
            return status;
        }

        public void setStatus(int status) {
            this.status = status;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getHead() {
            return head;
        }

        public void setHead(String head) {
            this.head = head;
        }
    }
}
